// Start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// General information section.
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// $Author:yongkiang$ User who last changed the file
// $Date:1/2/2013 12:17:00 PM$ Date and time of last check in
// $Revision:1.0$ Visual SourceSafe version number
// $Workfile::   SetupPasswordPage.h                                   $ Filename
// End =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// {{AFX_INCLUDES()
#include "MyPropertyPage.h"
#include "ShadeButtonST.h"
#include "ShadeCheckButtonST.h"
// }}AFX_INCLUDES
#if !defined(AFX_SETUPPASSWORDPAGE_H__51BCF036_939F_11D6_A80B_005004C029CA__INCLUDED_)
#define AFX_SETUPPASSWORDPAGE_H__51BCF036_939F_11D6_A80B_005004C029CA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

// SetupPasswordPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSetupPasswordPage dialog

class DLLCLASS CSetupPasswordPage : public CMyPropertyPage // public CPropertyPage
{
DECLARE_DYNCREATE(CSetupPasswordPage)

// Construction
public:
    virtual void SetupControls();
    void         EnableUserAccounts(bool bEnable = true);
    CSetupPasswordPage();
    ~CSetupPasswordPage();

// Dialog Data
// {{AFX_DATA(CSetupPasswordPage)
    enum {
        IDD = IDD_SETUP_PASSWORD_PAGE
    };
    CShadeButtonST      m_btnChangeMyPassword;
    CShadeButtonST      m_btnUserAccounts;
    CShadeCheckButtonST m_technicianBtn;
    CShadeCheckButtonST m_superuserBtn;
    CShadeCheckButtonST m_operatorBtn;
    CShadeCheckButtonST m_engineerBtn;
    CShadeButtonST      m_saveBtn;
// }}AFX_DATA

// Overrides
// ClassWizard generate virtual function overrides
// {{AFX_VIRTUAL(CSetupPasswordPage)
public:
    virtual BOOL OnSetActive();
    virtual BOOL OnKillActive();
protected:
    virtual void DoDataExchange(CDataExchange* pDX); // DDX/DDV support
// }}AFX_VIRTUAL

// Implementation
protected:
// Generated message map functions
// {{AFX_MSG(CSetupPasswordPage)
    virtual BOOL OnInitDialog();
    afx_msg void OnSaveButton();
    afx_msg void OnOperatorButton();
    afx_msg void OnTechnicianButton();
    afx_msg void OnEngineerButton();
    afx_msg void OnSuperuserButton();
    afx_msg void OnButtonUserAccounts();
    afx_msg void OnButtonChangeMyPassword();
// }}AFX_MSG
    afx_msg void OnClickRadioButton(UINT nID);
    DECLARE_MESSAGE_MAP()

private:
    void DisableAllEditBox();
    void DisableAllButtons();
    void OnButtonClick(UINT nID);
    void DisplayIn2ndLang();
    bool CompareEncryptedString(CString &dbString);
    bool ComparePassword();
    void InitIconButtons();
    bool    m_bModified;
    int     m_iCurrentPasswordLevel;
    CString m_csNewPasswordText, m_csConfirmPasswordText, m_csCurrentPasswordText;

// Gary 2Feb10, new multiuser password access
    bool m_bMultiUser;

    bool m_bEnableUserAccounts;
};

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETUPPASSWORDPAGE_H__51BCF036_939F_11D6_A80B_005004C029CA__INCLUDED_)
